<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
?>

        <div id="resultados_hora"></div>
            <form  method="post" name="form_horario" id="form_horario">
                <P></P>
                <div class="form-group">
                    <div class="col-md-9">
                        <div>
                            <input type="text" placeholder="Ingresa horario" class="form-control col-md-12" name="hora" id="hora" value="" required>
                        </div> 
                    </div> 
                
                    <div class="col-md-3">
                        <div class="form-group pull-right">
                            <div class=" col-md-8">
                                <button id="regi_hora" type="submit" class="btn btn-success">Registrar </button> 
                            </div>
                        </div> <!-- /form-actions -->
                    </div>
            </form>  
        </div>
    <br><br><br>
    <div  style="padding-left:20px;"> 
        <div id="tabla_hora"></div>
    </div>  
   

<script type="text/javascript">
function loadTablahora(){
    $('#editModal').modal('hide');
    $.get("./php_pagina_online/tabla_hora.php","",function(data){
    $("#tabla_hora").html(data);
    })
}
loadTablahora();

$( "#form_horario" ).submit(function( event ) { 
    $('#regi_hora').attr("disabled", true);
    var parametros = $(this).serialize(); 
    $.ajax({
        type: "POST",
        url: "php_pagina_online/registrar_hora.php",
        data: parametros,
        beforeSend: function(objeto){
        $('#resultados_hora').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
            },
            success: function(datos)
            {
                $("#resultados_hora").html(datos);
                $('#regi_hora').attr("disabled", false);
                document.getElementById("form_horario").reset();
                loadTablahora();
              }
      });
  event.preventDefault();
})

</script>      